EulerOS 2.0 SP2:zziplib (EulerOS-SA-2019-2478)

medium Nessus 插件 ID 131631
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 EulerOS 主机缺少多个安全更新。

描述

根据安装的 zziplib 程序包版本,远程主机上的 EulerOS 安装会受到下列漏洞影响:- 到 0.13.69 为止的所有版本,在 ZZIPlib 中发现一个问题。在 zip.c 的 __zzip_parse_root_directory 函数中触发内存泄露,这将会导致拒绝服务攻击。(CVE-2018-16548) - 在 ZZIPlib 0.13.67 中,因未根据 file->stored 数据量来验证大小变量,而让 zzip_disk_fread 函数 (zzip/mmapped.c) 中的无效内存访问造成段错误。(CVE-2018-6381) - 在 ZZIPlib 0.13.67 中,zzip/zip.c 的 __zzip_fetch_disk_trailer 函数中发生内存对齐错误和总线错误。远程攻击者可利用此漏洞,通过特制的 zip 文件,造成拒绝服务。(CVE-2018-6484) - 在 ZZIPlib 0.13.67 中,有一个因在 zzip/mmapped.c 的 zzip_disk_findfirst 函数中加载未对齐的地址而造成的总线错误。远程攻击者可利用此漏洞,通过特制的 zip 文件,造成拒绝服务。(CVE-2018-6540) - 在 ZZIPlib 0.13.67 中,有一个因在 __zzip_fetch_disk_trailer (zzip/zip.c) 中加载未对齐地址(处理 disk64_trailer 本地条目时)而造成的总线错误。远程攻击者可利用此漏洞,通过特制的 zip 文件,造成拒绝服务。(CVE-2018-6541) - 在 ZZIPlib 0.13.68 中,zzip/zip.c 的 __zzip_parse_root_directory 函数中发生不受控制的内存分配和崩溃。远程攻击者可利用此漏洞,通过特制的 zip 文件,造成拒绝服务。(CVE-2018-6869) - 在 zziplib 0.13.62 中,fseeko.c 中的 prescan_entry 函数可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(空指针取消引用和崩溃)。(CVE-2017-5979) - zziplib 0.13.62 中的 seeko.c 可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(断言失败和崩溃)。(CVE-2017-5981) - 在 zziplib 0.13.62 中,fetch.c 之 __zzip_get32 函数中的基于堆的缓冲区溢出,可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(崩溃)。(CVE-2017-5974) - 在 zziplib 0.13.62 中,memdisk.c 之 zzip_mem_entry_extra_block 函数中的基于堆的缓冲区溢出,可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(崩溃)。(CVE-2017-5976) - 在 zziplib 0.13.62 中,memdisk.c 中的 zzip_mem_entry_extra_block 函数可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(无效内存读取和崩溃)。(CVE-2017-5977) - 在 zziplib 0.13.62 中,fetch.c 之 __zzip_get64 函数中的基于堆的缓冲区溢出,可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(崩溃)。(CVE-2017-5975) - 在 zziplib 0.13.62 中,memdisk.c 中的 zzip_mem_entry_extra_block 函数可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(无效内存读取和崩溃)。(CVE-2017-5977) - 在 zziplib 0.13.62 中,memdisk.c 中的 zzip_mem_entry_new 函数可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(越界读取和崩溃)。(CVE-2017-5978) ZZIPlib 0.13.69 及之前版本中发现一个问题。在 zip.c 的 __zzip_parse_root_directory 函数中触发内存泄露,这将会导致拒绝服务攻击。(CVE-2018-16548) - 在 ZZIPlib 0.13.67 中,因未根据 file->stored 数据量来验证大小变量,而让 zzip_disk_fread 函数 (zzip/mmapped.c) 中的无效内存访问造成段错误。(CVE-2018-6381) - 在 ZZIPlib 0.13.67 中,zzip/zip.c 的 __zzip_fetch_disk_trailer 函数中发生内存对齐错误和总线错误。远程攻击者可利用此漏洞,通过特制的 zip 文件,造成拒绝服务。(CVE-2018-6484) - 在 ZZIPlib 0.13.67 中,有一个因在 zzip/mmapped.c 的 zzip_disk_findfirst 函数中加载未对齐的地址而造成的总线错误。远程攻击者可利用此漏洞,通过特制的 zip 文件,造成拒绝服务。(CVE-2018-6540) - 在 ZZIPlib 0.13.67 中,有一个因在 __zzip_fetch_disk_trailer (zzip/zip.c) 中加载未对齐地址(处理 disk64_trailer 本地条目时)而造成的总线错误。远程攻击者可利用此漏洞,通过特制的 zip 文件,造成拒绝服务。(CVE-2018-6541) - 在 ZZIPlib 0.13.68 中,zzip/zip.c 的 __zzip_parse_root_directory 函数中发生不受控制的内存分配和崩溃。远程攻击者可利用此漏洞,通过特制的 zip 文件,造成拒绝服务。(CVE-2018-6869) - 在 zziplib 0.13.62 中,fseeko.c 中的 prescan_entry 函数可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(空指针取消引用和崩溃)。(CVE-2017-5979) - zziplib 0.13.62 中的 seeko.c 可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(断言失败和崩溃)。(CVE-2017-5981) - 在 zziplib 0.13.62 中,fetch.c 之 __zzip_get32 函数中的基于堆的缓冲区溢出,可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(崩溃)。(CVE-2017-5974) - 在 zziplib 0.13.62 中,memdisk.c 之 zzip_mem_entry_extra_block 函数中的基于堆的缓冲区溢出,可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(崩溃)。(CVE-2017-5976) - 在 zziplib 0.13.62 中,memdisk.c 中的 zzip_mem_entry_extra_block 函数可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(无效内存读取和崩溃)。(CVE-2017-5977) - 在 zziplib 0.13.62 中,fetch.c 之 __zzip_get64 函数中的基于堆的缓冲区溢出,可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(崩溃)。(CVE-2017-5975) - 在 zziplib 0.13.62 中,memdisk.c 中的 zzip_mem_entry_extra_block 函数可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(无效内存读取和崩溃)。(CVE-2017-5977) - 在 zziplib 0.13.62 中,memdisk.c 中的 zzip_mem_entry_new 函数可让远程攻击者通过特制的 ZIP 文件造成拒绝服务(越界读取和崩溃)。(CVE-2017-5978) 请注意,Tenable Network Security 已直接从 EulerOS 安全公告中提取上述描述块。Tenable 已尝试在不引入其他问题的情况下尽可能进行了自动整理和排版。

解决方案

更新受影响的 zziplib 程序包。

另见

http://www.nessus.org/u?ae1e7e31

插件详情

严重性: Medium

ID: 131631

文件名: EulerOS_SA-2019-2478.nasl

版本: 1.6

类型: local

发布时间: 2019/12/4

最近更新时间: 2021/1/6

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2018-6869

VPR

风险因素: Low

分数: 3.6

CVSS v2

风险因素: Medium

基本分数: 4.3

时间分数: 3.2

矢量: AV:N/AC:M/Au:N/C:N/I:N/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: Medium

基本分数: 6.5

时间分数: 5.7

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:huawei:euleros:zziplib, cpe:/o:huawei:euleros:2.0

必需的 KB 项: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

排除的 KB 项: Host/EulerOS/uvp_version

易利用性: No known exploits are available

补丁发布日期: 2019/12/4

参考资料信息

CVE: CVE-2017-5974, CVE-2017-5975, CVE-2017-5976, CVE-2017-5977, CVE-2017-5978, CVE-2017-5979, CVE-2017-5981, CVE-2018-16548, CVE-2018-6381, CVE-2018-6484, CVE-2018-6540, CVE-2018-6541, CVE-2018-6869